[Unit]
Description=CFEngine Enterprise file server
After=syslog.target
After=network-online.target
ConditionPathExists=/var/cfengine/bin/cf-serverd
ConditionPathExists=/var/cfengine/policy_server.dat
ConditionPathExists=/var/cfengine/inputs/promises.cf
PartOf=cfengine3.service

[Service]
Type=simple
ExecStart=/var/cfengine/bin/cf-serverd --no-fork
Restart=always
RestartSec=10

[Install]
WantedBy=network-online.target
